package com.kmall.admin.service.impl;

import com.kmall.admin.dao.SysCusUnitCodeDao;
import com.kmall.admin.entity.SysCusUnitCodeEntity;
import com.kmall.admin.service.SysCusUnitCodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 计量单位代码Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-11-10 15:34:36
 */
@Service("sysCusUnitCodeService")
public class SysCusUnitCodeServiceImpl implements SysCusUnitCodeService {
    @Autowired
    private SysCusUnitCodeDao sysCusUnitCodeDao;

    @Override
    public SysCusUnitCodeEntity queryObject(String sn) {
        return sysCusUnitCodeDao.queryObject(sn);
    }

    @Override
    public List<SysCusUnitCodeEntity> queryList(Map<String, Object> map) {
        return sysCusUnitCodeDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return sysCusUnitCodeDao.queryTotal(map);
    }

    @Override
    public int save(SysCusUnitCodeEntity sysCusUnitCode) {
        return sysCusUnitCodeDao.save(sysCusUnitCode);
    }

    @Override
    public int update(SysCusUnitCodeEntity sysCusUnitCode) {
        return sysCusUnitCodeDao.update(sysCusUnitCode);
    }

    @Override
    public int delete(String sn) {
        return sysCusUnitCodeDao.delete(sn);
    }

    @Override
    public int deleteBatch(String[]sns) {
        return sysCusUnitCodeDao.deleteBatch(sns);
    }
}
